// serialio.h

void InitSerialIO(uint8_t);
uint8_t getchar(void);
void putchar(uint8_t);
uint8_t getcharecho(void);
uint8_t pushchar(uint8_t);
void putflashstring(const char *);

void PutCR(void);
void PutSpace(void);
uint16_t GetHexWord(void);
uint16_t GetHexByte(void);
uint16_t GetHexChar(void);

int IsHex(char);
int IsWhite(char);

void _PutHex(uint16_t, uint8_t);
void PutHexWord(uint16_t);
void PutHexByte(uint16_t);
